# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit cmake

if [[ ${PV} == *9999 ]]; then
	inherit git-r3
	EGIT_REPO_URI="https://git.sr.ht/~thestr4ng3r/chiaki"
	KEYWORDS="~amd64"
else
	SRC_URI="https://git.sr.ht/~thestr4ng3r/chiaki/archive/v${PN}.tar.gz -> ${P}.tar.gz"
	KEYWORDS="~amd64"
fi

DESCRIPTION="Chiaki is a client for PlayStation 4 and PlayStation 5 Remote Play"
HOMEPAGE="https://git.sr.ht/~thestr4ng3r/chiaki"

LICENSE="AGPL-3"
SLOT="0"

DEPEND="
	dev-python/protobuf-python
"
RDEPEND="${DEPEND}"
BDEPEND=""

src_configure() {
	local mycmakeargs=(
		-DCMAKE_POSITION_INDEPENDENT_CODE=ON
	)
	cmake_src_configure
}

src_install() {
	cmake_src_install
	dolib.so ${WORKDIR}/chiaki-9999_build/lib/libchiaki.so
	dolib.so ${WORKDIR}/chiaki-9999_build/setsu/libsetsu.so
}
